Enhancements

  

Infrastructure: Development, Production   

Description

We face a problem when we try to run some experiments within the bluebridge infrastructure with openCpu/WPS client because a

timeout error is thrown.

This is caused by the fact that OpenCpu is set to timeout after 90 seconds while some experiments can get some more time.

We strongly suggest to increase the opencpu's timeout settings to around 400 seconds to avoid these kind of problems due to the

fact these experiments require heavy and time consuming calculations (an example is 

org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasses.transducerers.ICHTHYOP_MODEL_ONE_BY_O

NE )

the opencpu timeout can be configured inside /etc/opencpu/server.conf

to make the change effective a service restart is required with the command service opencpu restart

History

#1 - Aug 04, 2016 12:25 PM - Pasquale Pagano

- Tracker changed from Support to Upgrade

- Assignee changed from Gianpaolo Coro to _InfraScience Systems Engineer

GP is on holiday. I am assigning the ticket to out system admins to see if they can help. 

#2 - Aug 04, 2016 05:35 PM - Andrea Dell'Amico

- Tracker changed from Upgrade to Task

- Status changed from New to In Progress

I suppose you are referring to the timelimit.post options, because the timelimit.get option has a timeout of 600 seconds. I'm  increasing both of them to

900 seconds, anyway.

#3 - Aug 04, 2016 05:46 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

Done. Let me know if it works.

#4 - Aug 05, 2016 09:51 AM - Enrico Anello

Yes, working fine!

Thank you for the quick fix.

#5 - Aug 05, 2016 10:55 AM - Andrea Dell'Amico

- Status changed from Feedback to Closed
